List workflow responses
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/workflow_responses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/workflow_responses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/workflow_responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "workflow_response",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"step_name": "<string>",
"completed_at": "<string>",
"sections": [
{
"key": "<string>",
"label": "<string>",
"questions": [
{
"key": "<string>",
"label": "<string>",
"answer_type": "<string>",
"answer_value": "<unknown>"
}
]
}
]
},
"relationships": {
"candidate_user": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"candidate": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "profile",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"workflow_case": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "workflow_case",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"step": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "workflow_step",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"workflow": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "workflow",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"workflow_group": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "workflow_group",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"assignees": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Workflow Responses
List workflow responses
Returns a list of workflow responses.
GET
/
api
/
v1
/
workflow_responses
List workflow responses
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/workflow_responses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/workflow_responses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/workflow_responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "workflow_response",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"step_name": "<string>",
"completed_at": "<string>",
"sections": [
{
"key": "<string>",
"label": "<string>",
"questions": [
{
"key": "<string>",
"label": "<string>",
"answer_type": "<string>",
"answer_value": "<unknown>"
}
]
}
]
},
"relationships": {
"candidate_user": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"candidate": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "profile",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"workflow_case": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "workflow_case",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"step": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "workflow_step",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"workflow": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "workflow",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"workflow_group": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "workflow_group",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"assignees": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Query Parameters
Comma-separated list of relationships to include. Allowed: candidate_user, candidate, workflow_case, step, workflow, workflow_group, assignees
Sort order. Prefix with - for descending. Allowed: created_at, updated_at, completed_at
Filter results. Available filters: candidate_user, candidate_user.exists, candidate, candidate.exists, workflow_case, step, step.exists, workflow, workflow.exists, workflow_group, workflow_group.exists.
Number of items per page (max 100)
Cursor for next page
Cursor for previous page
⌘I